Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.repastdemos.hypercycles
Class HyperLink

    java.lang.Object
      uchicago.src.sim.network.DefaultEdge
          uchicago.src.repastdemos.hypercycles.HyperLink

All Implemented Interfaces:
  DrawableEdge, Edge

    public class HyperLink

extends DefaultEdge
implements DrawableEdge

A link from one HyperCell to another. An implementation of the simulation described in John Padgett's "The Emergence of Simple Ecologies of Skill: A Hypercycle Approach to Economic Organization" in _The Economy as an Evolving Complex System II_, Eds. Arthur, Durlauf, and Lane. SFI Studies in the Sciences of Complexity, Vol. XXVII, Addison-Wesley, 1997, pp. 199-221. Thanks to John Padgett for allowing us to include it here. jpadgett@midway.uchicago.edu

Version:
  $Revision: 1.1 $ $Date: 2005/08/12 20:04:57 $
Author:
  Nick Collier

Field Summary

Fields inherited from class uchicago.src.sim.network.DefaultEdge
`from, label, strength, to, type`

Constructor Summary
`HyperLink(Node from, Node to)`

Method Summary
`void` | `draw(SimGraphics g, int fromX, int toX, int fromY, int toY)` Called by a Network*Display instructing the edge to draw itself.

Methods inherited from class uchicago.src.sim.network.DefaultEdge
`getFrom, getLabel, getStrength, getTo, getType, setFrom, setLabel, setStrength, setTo, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uchicago.src.sim.network.Edge
`getFrom, getLabel, getStrength, getTo, getType, setFrom, setLabel, setStrength, setTo, setType`

Constructor Detail

### HyperLink

    public HyperLink(Node from,
                     Node to)

Method Detail

### draw

    public void draw(SimGraphics g,
                     int fromX,
                     int toX,
                     int fromY,
                     int toY)

  Description copied from interface: `DrawableEdge`
  Called by a Network*Display instructing the edge to draw itself. The coordinates are screen coordinates and correspond to the center of the nodes. Edges to be drawn by a Network*Display must implement this interface. Typicaly, some line drawing method in SimGraphics is called, passing the remaining arguments to that method. For example
  `

       public void draw(SimGraphics g, int fromX, int toX, int fromY, int toY) {

          g.drawLink(Color.red, fromX, toX, fromY, toY);

       }

  ` The x and y coordinates are calculated by the Display from the position of the nodes to which this is an edge.

  Specified by:
    `draw` in interface `DrawableEdge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD